%define anolis_release 1
%global debug_package %{nil}

# When releasing a xorg-x11-proto-devel version with updated keysyms,
# rebuild libX11

Summary: X.Org X11 Protocol headers
Name: xorg-x11-proto-devel
Version: 2023.2
Release: %{anolis_release}%{?dist}
License: BSD-2-Clause AND HPND AND HPND-sell-variant AND ICU AND MIT AND MIT-open-group AND SGI-B-2.0 AND SMLNJ AND X11 AND X11-distribute-modifications-variant
URL: https://www.x.org
BuildArch: noarch

Source0:  https://www.x.org/pub/individual/proto/xorgproto-%{version}.tar.xz

Source40: make-git-snapshot.sh

BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: meson

%description
X.Org X11 Protocol headers


%prep
%autosetup -n xorgproto-%{version}

%build
%meson
%meson_build

%install
%meson_install

# trim some fat
for i in apple windows trap ; do
    rm -f $RPM_BUILD_ROOT%{_includedir}/X11/extensions/*${i}*
    rm -f $RPM_BUILD_ROOT%{_datadir}/pkgconfig/*${i}*
done

# keep things building even if you have the html doc tools for xmlto installed
rm -f $RPM_BUILD_ROOT%{_docdir}/*/*.{html,svg}

%files
%doc COPYING-*
%doc *.txt
%dir %{_includedir}/GL
%{_includedir}/GL/glx*.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/*.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/*.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*.h
%{_includedir}/X11/keysym*.h
%{_datadir}/pkgconfig/*.pc
%{_docdir}/xorgproto/*

%changelog
* Fri Jan 19 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2023.2-1
- New version 2023.2

* Thu Dec 15 2022 Funda Wang <fundawang@yeah.net> - 2022.2-1
- New version 2022.2

* Mon Jul 11 2022 happy_orange <songnannan@linux.alibaba.com> - 2022.1-1
- init package from upstream
